InputManJSでは、コントロールへのアクションに応じてさまざまなイベントが発生します。テキストコントロールで発生するイベントは、以下の通りです。
イベント名
説明
onEditStatusChanged
編集モードが、[Insert]キー等によって挿入または上書きに切り変わったときに発生します。
onFocusOut
コントロールがフォーカスを失ったときに発生します。
onIMEReadingStringOutput
ふりがなが出力されるときに発生します。
onInput
キー入力などの操作によりコントロールのテキストが変更されたときに直ちに発生します。
onInvalidInput
コントロールに入力が許可されていない文字をキーボードから入力、またはクリップボードからコピーしたときに発生します。
onKeyDown
コントロールにフォーカスがあるときにキーが押されると発生します。
onKeyExit
キーボードでフォーカスを移動した時に発生します。
onKeyUp
コントロールにフォーカスがあるときにキーが離されると発生します。
onSyncValueToOriginalInput
オリジナルの入力要素と値を同期するときに発生します。
onTextChanged
コントロールのテキストの値が変更された場合に発生します。
import '@mescius/inputman/CSS/gc.inputman-js.css';
import { InputMan } from '@mescius/inputman';
InputMan.appearanceStyle = InputMan.AppearanceStyle.Modern;
const gcTextBox = new InputMan.GcTextBox(document.getElementById('gcTextBox'));
// イベントハンドラ
gcTextBox.onEditStatusChanged((sender, eArgs) => {
log('onEditStatusChanged');
});
gcTextBox.onFocusOut((sender, eArgs) => {
log('onFocusOut');
});
gcTextBox.onIMEReadingStringOutput((sender, eArgs) => {
log('onIMEReadingStringOutput');
});
gcTextBox.onInput((sender, eArgs) => {
log('onInput');
});
gcTextBox.onInvalidInput((sender, eArgs) => {
log('onInvalidInput');
});
gcTextBox.onKeyDown((sender, eArgs) => {
log('onKeyDown');
});
gcTextBox.onKeyExit((sender, eArgs) => {
log('onKeyExit');
});
gcTextBox.onKeyUp((sender, eArgs) => {
log('onKeyUp');
});
gcTextBox.onSyncValueToOriginalInput((sender, eArgs) => {
log('onSyncValueToOriginalInput');
});
gcTextBox.onTextChanged((sender, eArgs) => {
log('onTextChanged');
});
// テキストボックスにログを出力
const log = (message) => {
const textarea = document.getElementById('log');
textarea.value += message + '\n';
textarea.scrollTop = textarea.scrollHeight;
}
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="ie=edge">
<title>テキストコントロール - イベント</title>
<!-- SystemJS -->
<script src="node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
window.onload = function() {
System.import('./src/app');
}
</script>
</head>
<body>
<input id="gcTextBox"><br><br>
イベント<br>
<textarea id="log" rows="10" cols="30"></textarea>
</body>
</html>
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/inputman': 'npm:@mescius/inputman/index.js',
'@mescius/inputman/CSS': 'npm:@mescius/inputman/CSS',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
}
});

InputManJSでは、コントロールへのアクションに応じてさまざまなイベントが発生します。テキストコントロールで発生するイベントは、以下の通りです。
イベント名
説明
onEditStatusChanged
編集モードが、[Insert]キー等によって挿入または上書きに切り変わったときに発生します。
onFocusOut
コントロールがフォーカスを失ったときに発生します。
onIMEReadingStringOutput
ふりがなが出力されるときに発生します。
onInput
キー入力などの操作によりコントロールのテキストが変更されたときに直ちに発生します。
onInvalidInput
コントロールに入力が許可されていない文字をキーボードから入力、またはクリップボードからコピーしたときに発生します。
onKeyDown
コントロールにフォーカスがあるときにキーが押されると発生します。
onKeyExit
キーボードでフォーカスを移動した時に発生します。
onKeyUp
コントロールにフォーカスがあるときにキーが離されると発生します。
onSyncValueToOriginalInput
オリジナルの入力要素と値を同期するときに発生します。
onTextChanged
コントロールのテキストの値が変更された場合に発生します。
import * as React from "react";
import * as ReactDom from "react-dom";
import { GcTextBox } from "@mescius/inputman.react";
import { InputMan } from "@mescius/inputman";
import '@mescius/inputman/CSS/gc.inputman-js.css';
class App extends React.Component {
constructor(props, context) {
InputMan.appearanceStyle = InputMan.AppearanceStyle.Modern;
super(props, context);
this.state = {
message: ''
};
}
log(msg) {
var newMessage = this.state.message + msg + '\n';
this.refs.log.scrollTop = this.refs.log.scrollHeight;
this.setState({ message: newMessage });
}
render() {
return (
<div>
<GcTextBox
onInitialized={(sender) => sender.onSyncValueToOriginalInput(() => this.log('onSyncValueToOriginalInput'))}
onEditStatusChanged={(s) => this.log("onEditStatusChanged")}
onInvalidInput={(s) => this.log("onInvalidInput")}
onKeyExit={(s) => this.log("onKeyExit")}
onTextChanged={(s) => this.log("onTextChanged")}
onKeyDown={(s) => this.log("onKeyDown")}
onKeyUp={(s) => this.log("onKeyUp")}
onFocusOut={(s) => this.log("onFocusOut")}
onInput={(s) => this.log("onInput")}
onIMEReadingStringOutput={(eArgs) => {
this.log('onIMEReadingStringOutput');
}}></GcTextBox><br />
イベント<br />
<textarea ref='log' id="log" rows="10" cols="30" value={this.state.message}></textarea>
</div>
)
}
}
ReactDom.render(<App />, document.getElementById("app"));
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="ie=edge">
<title>テキストコントロール - イベント</title>
<!-- SystemJS -->
<script src="node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
window.onload = function() {
System.import('./src/app');
}
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true,
},
meta: {
'*.css': { loader: 'css' },
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
},
// map tells the System loader where to look for things
map: {
'@mescius/inputman': 'npm:@mescius/inputman/index.js',
'@mescius/inputman.react': 'npm:@mescius/inputman.react/GcInputMan.component.js',
'@mescius/inputman/CSS': 'npm:@mescius/inputman/CSS',
'@mescius/inputman.comment': 'npm:@mescius/inputman.comment/index.js',
'@mescius/inputman.comment.react': 'npm:@mescius/inputman.comment.react/GcInputMan.component.js',
'@mescius/inputman.comment/CSS': 'npm:@mescius/inputman.comment/CSS',
'@mescius/inputman.richtexteditor': 'npm:@mescius/inputman.richtexteditor/index.js',
'@mescius/inputman.richtexteditor.react': 'npm:@mescius/inputman.richtexteditor.react/GcInputMan.component.js',
'@mescius/inputman.richtexteditor/CSS': 'npm:@mescius/inputman.richtexteditor/CSS',
'@mescius/inputman.richtexteditor/JS/plugins/advlist': 'npm:@mescius/inputman.richtexteditor/JS/plugins/advlist/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/all': 'npm:@mescius/inputman.richtexteditor/JS/plugins/all/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/autosave': 'npm:@mescius/inputman.richtexteditor/JS/plugins/autosave/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/charmap': 'npm:@mescius/inputman.richtexteditor/JS/plugins/charmap/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/directionality': 'npm:@mescius/inputman.richtexteditor/JS/plugins/directionality/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/emoticons': 'npm:@mescius/inputman.richtexteditor/JS/plugins/emoticons/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/fullscreen': 'npm:@mescius/inputman.richtexteditor/JS/plugins/fullscreen/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/htmlcode': 'npm:@mescius/inputman.richtexteditor/JS/plugins/htmlcode/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/image': 'npm:@mescius/inputman.richtexteditor/JS/plugins/image/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/link': 'npm:@mescius/inputman.richtexteditor/JS/plugins/link/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/lists': 'npm:@mescius/inputman.richtexteditor/JS/plugins/lists/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/media': 'npm:@mescius/inputman.richtexteditor/JS/plugins/media/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/pagebreak': 'npm:@mescius/inputman.richtexteditor/JS/plugins/pagebreak/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/preview': 'npm:@mescius/inputman.richtexteditor/JS/plugins/preview/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/save': 'npm:@mescius/inputman.richtexteditor/JS/plugins/save/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/searchreplace': 'npm:@mescius/inputman.richtexteditor/JS/plugins/searchreplace/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/table': 'npm:@mescius/inputman.richtexteditor/JS/plugins/table/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/template': 'npm:@mescius/inputman.richtexteditor/JS/plugins/template/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/wordcount': 'npm:@mescius/inputman.richtexteditor/JS/plugins/wordcount/plugin.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.react.grid': 'npm:@mescius/wijmo.react.grid/index.js',
'@mescius/wijmo.react.base': 'npm:@mescius/wijmo.react.base/index.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-ja': 'npm:@mescius/spread-sheets-resources-ja/index.js',
'@mescius/spread-sheets/styles': 'npm:@mescius/spread-sheets/styles',
'react': 'npm:react/umd/react.production.min.js',
'react-dom': 'npm:react-dom/umd/react-dom.production.min.js',
'react-dom/client': 'npm:react-dom/umd/react-dom.production.min.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx',
},
'node_modules': {
defaultExtension: 'js',
},
},
});
})(this);